ChartDirector Ver 4.1 (PHP Edition Edition)

VectorLayer.setArrowHead2

Usage

setArrowHead2(polygon)

Description

Sets a custom shape to be used as the arrow head.
The custom shape is specified as an array of integers x0, y0, x1, y1, x2, y2 ... representing the coordinates of the vertices of the custom polygonal shape.
The polygon should be defined with a bounding square of 10 x 10 units, in which the x-axis is from left to right, and the y-axis from bottom to top. The origin is assumed to be the bottom center of the arrow (the point where the arrow head joins the arrow stem). The shape is assumed to represent an arrow pointing upwards.
As an example, the followings are the integer array that represents the standard ChartDirector vector arrow head:
-5, -5, 0, 0, 5, -5, 0, 5
ChartDirector will automatically scale the shape to the actual width and height as specified in VectorLayer.setArrowHead.

Arguments

Argument | Default | Description
--- | --- | ---
polygon | (Mandatory) | An array of integers x0, y0, x1, y1, x2, y2 ... representing the coordinates the polygon vertices on a 10 x 10 units grid.

Return Value

None

© 2006 Advanced Software Engineering Limited. All rights reserved.